Package org.picocontainer.monitors

# Class NullComponentMonitor

java.lang.Object
org.picocontainer.monitors.NullComponentMonitor

All Implemented Interfaces:
  `Serializable`, `ComponentMonitor`

public class NullComponentMonitor extends Object implements ComponentMonitor, Serializable
A `ComponentMonitor` which does nothing.

Author:
  Paul Hammant, Obie Fernandez
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from interface org.picocontainer.ComponentMonitor

`KEEP`

## Constructor Summary

Constructors
Constructor
Description
`NullComponentMonitor()`

## Method Summary

Modifier and Type
Method
Description
`<T> void`
`instantiated(PicoContainer container, ComponentAdapter<T> componentAdapter, Constructor<T> constructor, Object instantiated, Object[] injected, long duration)`
Event thrown after the component has been instantiated using the given constructor.
`<T> Constructor<T>`
`instantiating(PicoContainer container, ComponentAdapter<T> componentAdapter, Constructor<T> constructor)`
Event thrown as the component is being instantiated using the given constructor
`<T> void`
`instantiationFailed(PicoContainer container, ComponentAdapter<T> componentAdapter, Constructor<T> constructor, Exception e)`
Event thrown if the component instantiation failed using the given constructor
`void`
`invocationFailed(Member member, Object instance, Exception e)`
Event thrown if the component method invocation failed on the given instance
`void`
`invoked(PicoContainer container, ComponentAdapter<?> componentAdapter, Member member, Object instance, long duration, Object[] args, Object retVal)`
Event thrown after the component method has been invoked on the given instance
`Object`
`invoking(PicoContainer container, ComponentAdapter<?> componentAdapter, Member member, Object instance, Object[] args)`
Event thrown as the component method is being invoked on the given instance
`void`
`lifecycleInvocationFailed(MutablePicoContainer container, ComponentAdapter<?> componentAdapter, Method method, Object instance, RuntimeException cause)`
Event thrown if a lifecycle method invocation - start, stop or dispose - failed on the given instance
`Behavior`
`newBehavior(Behavior behavior)`
A mechanism to monitor or override the Behaviors being made for components.
`Injector`
`newInjector(Injector injector)`
A mechanism to monitor or override the Injectors being made for components.
`Object`
`noComponentFound(MutablePicoContainer container, Object componentKey)`
No Component has been found for the key in question.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NullComponentMonitor

public NullComponentMonitor()

## Method Details

### instantiating

public <T> Constructor<T> instantiating(PicoContainer container, ComponentAdapter<T> componentAdapter, Constructor<T> constructor)
Description copied from interface: `ComponentMonitor`
Event thrown as the component is being instantiated using the given constructor

Specified by:
  `instantiating` in interface `ComponentMonitor`
Parameters:
  `container` -
  `componentAdapter` -
  `constructor` - the Constructor used to instantiate the addComponent @return the constructor to use in instantiation (nearly always the same one as passed in)

### instantiationFailed

public <T> void instantiationFailed(PicoContainer container, ComponentAdapter<T> componentAdapter, Constructor<T> constructor, Exception e)
Description copied from interface: `ComponentMonitor`
Event thrown if the component instantiation failed using the given constructor

Specified by:
  `instantiationFailed` in interface `ComponentMonitor`
Parameters:
  `container` -
  `componentAdapter` -
  `constructor` - the Constructor used to instantiate the addComponent
  `e` - the Exception detailing the cause of the failure

### instantiated

public <T> void instantiated(PicoContainer container, ComponentAdapter<T> componentAdapter, Constructor<T> constructor, Object instantiated, Object[] injected, long duration)
Description copied from interface: `ComponentMonitor`
Event thrown after the component has been instantiated using the given constructor. This should be called for both Constructor and Setter DI.

Specified by:
  `instantiated` in interface `ComponentMonitor`
Parameters:
  `container` -
  `componentAdapter` -
  `constructor` - the Constructor used to instantiate the addComponent
  `instantiated` - the component that was instantiated by PicoContainer
  `injected` - the components during instantiation.
  `duration` - the duration in milliseconds of the instantiation

### invoking

public Object invoking(PicoContainer container, ComponentAdapter<?> componentAdapter, Member member, Object instance, Object[] args)
Description copied from interface: `ComponentMonitor`
Event thrown as the component method is being invoked on the given instance

Specified by:
  `invoking` in interface `ComponentMonitor`
Parameters:
  `container` -
  `componentAdapter` -
  `member` -
  `instance` - the component instance
  `args` -

### invoked

public void invoked(PicoContainer container, ComponentAdapter<?> componentAdapter, Member member, Object instance, long duration, Object[] args, Object retVal)
Description copied from interface: `ComponentMonitor`
Event thrown after the component method has been invoked on the given instance

Specified by:
  `invoked` in interface `ComponentMonitor`
Parameters:
  `container` -
  `componentAdapter` -
  `member` -
  `instance` - the component instance
  `duration` -
  `args` -
  `retVal` -

### invocationFailed

public void invocationFailed(Member member, Object instance, Exception e)
Description copied from interface: `ComponentMonitor`
Event thrown if the component method invocation failed on the given instance

Specified by:
  `invocationFailed` in interface `ComponentMonitor`
Parameters:
  `member` -
  `instance` - the component instance
  `e` - the Exception detailing the cause of the failure

### lifecycleInvocationFailed

public void lifecycleInvocationFailed(MutablePicoContainer container, ComponentAdapter<?> componentAdapter, Method method, Object instance, RuntimeException cause)
Description copied from interface: `ComponentMonitor`
Event thrown if a lifecycle method invocation - start, stop or dispose - failed on the given instance

Specified by:
  `lifecycleInvocationFailed` in interface `ComponentMonitor`
Parameters:
  `container` -
  `componentAdapter` -
  `method` - the lifecycle Method invoked on the component instance
  `instance` - the component instance
  `cause` - the RuntimeException detailing the cause of the failure

### noComponentFound

public Object noComponentFound(MutablePicoContainer container, Object componentKey)
Description copied from interface: `ComponentMonitor`
No Component has been found for the key in question. Implementers of this have a last chance opportunity to specify something for the need. This is only relevant to component dependencies, and not to container.getComponent(<key>) in your user code.

Specified by:
  `noComponentFound` in interface `ComponentMonitor`
Parameters:
  `container` -
  `componentKey` -

### newInjector

public Injector newInjector(Injector injector)
Description copied from interface: `ComponentMonitor`
A mechanism to monitor or override the Injectors being made for components.

Specified by:
  `newInjector` in interface `ComponentMonitor`
Parameters:
  `injector` -
Returns:
  an Injector. For most implementations, the same one as was passed in.

### newBehavior

public Behavior newBehavior(Behavior behavior)
A mechanism to monitor or override the Behaviors being made for components.

Specified by:
  `newBehavior` in interface `ComponentMonitor`
Parameters:
  `behavior` -
Returns:
  an Behavior. For most implementations, the same one as was passed in.